Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Interface SelectionListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  TextSelectionManager.TextSelectionListener

public interface SelectionListener
extends java.util.EventListener

The listener interface for receiving selection events.

Method Summary
`void` | `selectionChanged(SelectionEvent evt)` Invoked when a selection has changed.
`void` | `selectionCleared(SelectionEvent evt)` Invoked when a selection is cleared.
`void` | `selectionDone(SelectionEvent evt)` Invoked when a selection is done.
`void` | `selectionStarted(SelectionEvent evt)` Invoked when a selection started.

Method Detail

### selectionChanged

    public void selectionChanged(SelectionEvent evt)

  Invoked when a selection has changed.

  Parameters:
    `evt` - the selection change event

### selectionDone

    public void selectionDone(SelectionEvent evt)

  Invoked when a selection is done.

  Parameters:
    `evt` - the selection change event

### selectionCleared

    public void selectionCleared(SelectionEvent evt)

  Invoked when a selection is cleared.

  Parameters:
    `evt` - the selection change event

### selectionStarted

    public void selectionStarted(SelectionEvent evt)

  Invoked when a selection started.

  Parameters:
    `evt` - the selection change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.